dubbo:
  application:
    name: user-service
    qos-enable: true
    qos-port: 16104
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.user.app.rpc
  protocol:
    name: dubbo
    port: 6104
  registry:
    group: dubbo
    address: zookeeper://127.0.0.1:2181
server:
  port: 6004
  tomcat:
    max-http-form-post-size: 4MB
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
    url: jdbc:mysql://127.0.0.1/tnb_account_rdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8
    username: test
    password: Test_123456
  cloud:
    discovery:
      enabled: true
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
        username: nacos
        password: Test_123456
  data:
    redis:
      database: 0
      host: 127.0.0.1
      port: 6379
      password: Test_123456
mybatis:
  configuration:
    map-underscore-to-camel-case: true
  mapper-locations: classpath*:mapper/**/**.xml
  type-aliases-package: cn.reghao.tnb.user.app.model.po
management:
  endpoints:
    web:
      #      base-path: /api/user/actuator
      exposure:
        include: "*"
  metrics:
    tags:
      application: ${spring.application.name}